MOUNT_UDF(8) | System Manager's Manual | MOUNT_UDF(8)

# NAME

`mount_udf` —
mount an UDF file system

# SYNOPSIS

`mount_udf` | [`-c`] [`-g` gid] [`-o` options] [`-t` gmtoff] [`-s` session] [`-u` uid] special node

# DESCRIPTION

The `mount_udf` command attaches the UDF file system residing on the specified special device node on the location indicated with node.

Anonymous files stored on the UDF disc will be represented and saved in the specified uid:gid pair. If unspecified, it will default to nobody:nobody. Both uid and gid can be either specified with their names as with their numerical equivalents.

`-c`
  Close the session after unmount creating remountable snapshots. Closing a session also allows -ROM devices to read the disc created. Note that this option only makes sense when mounting sequential recordable media like CD-R and DVD*R.
`-g` gid
  Set the group of anonymous files on the file system. The default group is the nobody group.
`-o` options
  Use the specified mount options as specified in mount(8).
`-s` session
  Select the session session to be mounted instead of the default last one. Implements readonly snapshots on sequential media. Positive session values indicate an absolute session number. Negative session values are relative to the last session found on the disc. Note that this option only makes sense when mounting sequential recordable media like CD-R and DVD*R.
`-t` gmtoff
  Set the time zone offset (in seconds) from UTC to gmtoff, with positive values indicating east of the Prime Meridian. If not set, the user's current time zone will be used.
`-u` uid
  Set the owner of anonymous files on the file system. The default owner is the user nobody.

# SEE ALSO

mount(2), vnd(4), fstab(5), mount(8), umount(8), vnconfig(8)

# HISTORY

A `mount_udf` utility appeared in NetBSD 4.0.

# AUTHORS

Reinoud Zandijk <reinoud@NetBSD.org>.

# NOTES

UDF is a file system defined by the OSTA standardization group and is tailored for data interchange on optical discs (like CDs and DVDs) between different operating systems. Its also more and more common on other media like Compact Flash (CF) cards.

Read and write access is supported for all media types that CD/DVD type drives can recognise including DVD-RAM. BluRay support is preliminary; read-only access should work fine but write support is experimental.

Implemented and tested media types are CD-ROM, CD-R, CD-RW, CD-MRW, DVD-ROM, DVD*R, DVD*RW, DVD+MRW, DVD-RAM but the same code can also read HD-DVD and BluRay discs. Discs created and written by UDFclient, Nero's InCD, and Roxio's DirectCD/Drag2Disc can be read without problems. Both open and closed media are supported so there is no need to close discs or sessions.

All current UDF versions up to version 2.60 are supported.

Hard disk partitions and vnd(4) devices may also be mounted. Note when mounting a vnd(4) device it might be necessary to specify the file image sector size in the geomspec when creating the vnd(4) device or the disc sector size will be used.

# BUGS

Write support for UDF version 2.50 is not completely mature and UDF version 2.01 should be used if possible; this is also the default format.

Due to lack of test media and recording devices, BluRay support and in particular BluRay-R is still preliminary as of writing.

September 12, 2016 | NetBSD 9.4